%define base_name drakx-installer-images
%define name %{base_name}-linus
%define version 1.28
%define release %mkrel 1
%define theme 	Free

%define mandriva_version %(rpm -q --queryformat '%{VERSION}-%{RELEASE}' mandriva-release)

# disable empty debug rpms...
%define _enable_debug_packages  %{nil}
%define debug_package           %{nil}

Summary: DrakX installer images using kernel-linus series
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{base_name}-%{version}.tar.bz2
Patch0:  %{name}.patch
License: GPL
Group:   Development/Other
Url:     http://wiki.mandriva.com/Tools/DrakX
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kernel-linus-latest >= 2.6.25-0.rc3.1mdv
%ifarch %ix86 x86_64
BuildRequires: memtest86+
BuildRequires: grub
BuildRequires: syslinux >= 3.51-4mdv2008.0
%endif
BuildRequires: drakx-installer-binaries >= 1.23
BuildRequires: ldetect-lst >= 0.1.199
BuildRequires: mandriva-theme-%{theme}
BuildRequires: pcmciautils
BuildRequires: perl-XML-Parser

BuildRequires: cdrkit-genisoimage
BuildRequires: mkdosfs-with-dir
BuildRequires: mknod-m600
BuildRequires: mtools
Buildrequires: busybox
Buildrequires: ka-deploy-source-node

%description
images needed to build Mandriva installer (DrakX) using kernel-linus series

%prep
%setup -q -n %{base_name}-%{version} 
%patch0 -p1

%build
THEME=Mandriva-%{theme} make -C images

%install
rm -rf $RPM_BUILD_ROOT

dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
make -C images install ROOTDEST=$dest

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/%name






%changelog
* Fri Feb 29 2008 Thomas Backlund <tmb@mandriva.org> 1.28-1mdv2008.1
+ Revision: 176844
- sync with main 1.28-4mdv
- build against kernel-linus-2.6.25-0.rc3.1mdv

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 28 2007 Thomas Backlund <tmb@mandriva.org> 1.23-3mdv2008.0
+ Revision: 93808
- rebuild against drakx-installer-binaries-1.17
- rebuild against kernel-linus-2.6.23-0.rc8.1mdv

* Fri Sep 21 2007 Thomas Backlund <tmb@mandriva.org> 1.23-2mdv2008.0
+ Revision: 91726
- rebuild against kernel-linus-2.6.23-0.rc7.1mdv

* Mon Sep 17 2007 Thomas Backlund <tmb@mandriva.org> 1.23-1mdv2008.0
+ Revision: 89367
- sync with main 1.23

* Sun Sep 16 2007 Thomas Backlund <tmb@mandriva.org> 1.22-1mdv2008.0
+ Revision: 88676
- sync with main 1.22
- build against kernel-linus-2.6.23-0.rc6.1mdv

* Thu Sep 06 2007 Thomas Backlund <tmb@mandriva.org> 1.20-1mdv2008.0
+ Revision: 81196
- sync with main 1.20
- build against kernel-linus-2.6.23-0.rc5.1mdv


* Wed Mar 28 2007 Thomas Backlund <tmb@mandriva.org> 1.8-2mdv2007.1
+ Revision: 149255
- rebuild with latest stage2 (with mmc_block) (#29909)

* Fri Mar 23 2007 Thomas Backlund <tmb@mandriva.org> 1.8-1mdv2007.1
+ Revision: 148573
- sync with main 1.8
- build against drakx-installer-binaries 1.7
- disable build of empty debug rpms
- sync with main 1.7
- use drakx-installer-image tarball directly
- use the UP kernel-linus(-latest) as installer kernel, to
  make it work on more systems
- update patch0: only check for 2.6.21 series kernels for now
- rebuild against latest kernel-linus
- rebuild against latest drakx-installer-images

* Sun Mar 18 2007 Thomas Backlund <tmb@mandriva.org> 1.6-2mdv2007.1
+ Revision: 145664
- use drakx-installer-images-1.6-2mdv as base
- use same version as main to make it simplier to know it's in sync
- use kernel-linus-smp(-latest) as installer kernel
- add patch0: modify scripts to support kernel-linus
- Created package structure for drakx-installer-images-linus.

